document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_5700 | ---
+++
@@ -1,2 +1,2 @@
#!/bin/bash
-/usr/hdp/2.2.0.0-2041/kafka/bin/kafka-topics.sh --create --zookeeper localhost:2181 --replication-factor 1 --partitions 1 --topic stock_topic
+/usr/hdp/current/kafka-broker/bin/kafka-topics.sh --create --zookeeper localhost:2181 --replication-factor 1 --partitions 1 --topic stock... | bash |
d_bash_5701 | ---
+++
@@ -2,6 +2,9 @@
# Prepare puppetlabs repo
CODENAME=`lsb_release -cs`
+if [ "$CODENAME" = "jessie" ]; then
+ CODENAME=testing
+fi
wget http://apt.puppetlabs.com/puppetlabs-release-"$CODENAME".deb
dpkg -i puppetlabs-release-"$CODENAME".deb
apt-get update | bash |
d_bash_5702 | ---
+++
@@ -3,7 +3,7 @@
if [ -z "$DIORITE_PATH" -o ! -d "$DIORITE_PATH" ]; then
echo "Error: Specify the path to the Diorite library repository checkout as the first argument"
else
- WAF_CONFIGURE=" --flatpak"
+ WAF_CONFIGURE=" --flatpak --cdk --webkitgtk-supports-mse"
. set_up_env.sh
export DIORITE_PATH="$DI... | bash |
d_bash_5703 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/sh
-tar xzvf hyperdex-1.5.dev-linux-amd64.tar.gz -C /usr/local
+tar xzvf hyperdex-1.8.dev-linux-amd64.tar.gz -C /usr/local
export PATH=/usr/local/hyperdex/bin:${PATH}
hyperdex --version | bash |
d_bash_5704 | ---
+++
@@ -22,6 +22,6 @@
echo "Skipping snapshot deployment: wrong branch. Expected '$BRANCH' but was '$TRAVIS_BRANCH'."
else
echo "Deploying snapshot..."
- ./gradlew clean build jacocoReport
+ ./gradlew clean build uploadArchives
echo "Snapshot deployed!"
fi | bash |
d_bash_5705 | ---
+++
@@ -13,17 +13,32 @@
done
}
+if [ -d "$code" ]; then
+ rm -r "$code"
+fi
mkdir -p "$code"
cp $repo/LICENSE $code/
cp ./README.md $code/README.md
mkdir -p "$code/src"
cp "$repo/src/"*.v "$code/src/"
+
rm $code/src/AByteFile.v
+rm $code/src/ExampleBlockRecover.v
+rm $code/src/ExampleChecksumLo... | bash |
d_bash_5706 | ---
+++
@@ -12,7 +12,7 @@
}
function start_ubuntu_32_bit() {
- start_instance ami-a6f504cf
+ start_instance ami-a6f504cf -k trotter-personal-ec2
}
function start_ubuntu_64_bit() { | bash |
d_bash_5707 | ---
+++
@@ -7,12 +7,10 @@
########## Variables
-# dotfiles directory
dir=~/.dotfiles
-# old dotfiles backup directory
olddir=~/.dotfiles_old
-# list of files/folders to symlink in homedir
files="vimrc zshrc"
+user="w1nd"
##########
@@ -34,3 +32,7 @@
echo "Creating symlink to $file in home directory.... | bash |
d_bash_5708 | ---
+++
@@ -6,6 +6,6 @@
nice rsync \
-vrtpAXlHogS \
--progress \
- --delete-after \
+ --delete-before \
"$@" -- /media/archive/* "/media/${1:-extern}"
| bash |
d_bash_5709 | ---
+++
@@ -20,4 +20,8 @@
source tensorflow/tools/ci_build/release/common.sh
update_bazel_macos
+# Pick a version of xcode
+export DEVELOPER_DIR=/Applications/Xcode_10.3.app/Contents/Developer
+sudo xcode-select -s "${DEVELOPER_DIR}"
+
tensorflow/tools/ci_build/osx/libtensorflow_cpu.sh | bash |
d_bash_5710 | ---
+++
@@ -10,8 +10,7 @@
touch "$ANDROID_SDK/licenses/android-sdk-license"
echo -e "\n8933bad161af4178b1185d1a37fbf41ea5269c55" > "$ANDROID_SDK/licenses/android-sdk-license"
echo y | sdkmanager --verbose "system-images;android-25;google_apis;x86"
- echo "no" | avdmanager create avd -n test --sdcard... | bash |
d_bash_5711 | ---
+++
@@ -1,8 +1,13 @@
#Docker has no kernel
#Check if evpp is in container
+#Suppor Red Linux
INCONTAINE=`cat /proc/1/cgroup | grep 'docker\|lxc'`
if [ ! -z "$INCONTAINE" ]; then
- echo -n $(cat /etc/redhat-release | awk -F ' ' '{printf("%s.%s.%s\n",$1,$2,$3)}')
+ arch=`uname -r | awk -F "." '{print $NF... | bash |
d_bash_5712 | ---
+++
@@ -18,18 +18,19 @@
source /etc/nodepool/provider
-# BH: Temporarily overwrite consumption of pypi cache in Tesora's downstream
-#cat >/home/jenkins/.pip/pip.conf <<EOF
-#[global]
-#index-url = http://pypi.$NODEPOOL_REGION.openstack.org/simple
-#EOF
+cat >/home/jenkins/.pip/pip.conf <<EOF
+[global]
+inde... | bash |
d_bash_5713 | ---
+++
@@ -1,8 +1,6 @@
#!/bin/bash
-RELDIR=`dirname $0;`
-BASE=`cd $RELDIR;pwd`
-
+BASE=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
cd $BASE
| bash |
d_bash_5714 | ---
+++
@@ -12,18 +12,24 @@
rmdir Videos
rm examples.desktop
+# Dependencies for Sublime Text (from https://www.sublimetext.com/docs/3/linux_repositories.html#apt)
+wget -qO - https://download.sublimetext.com/sublimehq-pub.gpg | sudo apt-key add -
+sudo apt-get install -yq apt-transport-https
+echo "deb https://d... | bash |
d_bash_5715 | ---
+++
@@ -1,13 +1,13 @@
# Run LocalHttpGateway and LocalServer
# Usage:
-# run.sh <root_path>
+# run.sh --root_path <root_path>
# Build and exit on fail:
-bazel build //tools/local_server:local_http_gateway_deploy.jar
+bazel build //tools/local_server:local_http_gateway
if [ $? -ne 0 ]; then
exit $?
fi
-b... | bash |
d_bash_5716 | ---
+++
@@ -2,5 +2,7 @@
# CustomScriptForLinux.sh
# $1 base64 encoded script, passed in from ARM template
# $2..., arguments passed in from ARM template
-echo $1 | base64 -d > _customScriptForLinux.sh
-./_customScriptForLinux.sh "${@:2}"
+pushd ~
+echo $1 | base64 -d > _CustomScriptForLinux.sh
+./_CustomScriptForL... | bash |
d_bash_5717 | ---
+++
@@ -3,8 +3,13 @@
set -ex
# Install designate devstack integration
-cp -R $BASE/new/designate/contrib/devstack/* $BASE/new/devstack
+pushd $BASE/new/designate/contrib/devstack
-# Temp Hack to remove the localrc we copy over, will be fixed in
-# the next review
-rm $BASE/new/devstack/localrc
+for f in lib... | bash |
d_bash_5718 | ---
+++
@@ -50,6 +50,5 @@
if [ "$2" = "all" ]
then
- runTest "sqlite" $1
- runTest "cassandra" $1
+ runTest "sqlite" $1 && runTest "cassandra" $1
fi | bash |
d_bash_5719 | ---
+++
@@ -1,5 +1,11 @@
-mysql -e "CREATE DATABASE owid;"
+#!/bin/bash
+
+set -e
+
+MYSQL='mysql -h 127.0.0.1 -u root'
+
+$MYSQL -e "CREATE DATABASE owid;"
curl -Lo /tmp/owid_metadata.sql.gz https://files.ourworldindata.org/owid_metadata.sql.gz
-gunzip < /tmp/owid_metadata.sql.gz | mysql -D owid
+gunzip < /tmp/owid... | bash |
d_bash_5720 | ---
+++
@@ -4,6 +4,4 @@
DIR=$(dirname $0)
-cd $DIR
-echo "$(date +%F-%T) Starting: $@" >> /tmp/hosts-log.txt
-exec ./hosts.py "$@" < hosts.yml
+exec $DIR/hosts.py "$@" < ${ANSIBLE_HOSTS_YML:-$DIR/hosts.yml} | bash |
d_bash_5721 | ---
+++
@@ -4,7 +4,7 @@
rm -Rfv ~/.gradle/init.d
mkdir -p ~/.gradle/init.d && cp -v $WORKSPACE/.ci/init.gradle ~/.gradle/init.d
if [ "$(uname -m)" = "arm64" ] || [ "$(uname -m)" = "aarch64" ]; then
- MAX_WORKERS=8
+ MAX_WORKERS=16
elif [ -f /proc/cpuinfo ]; then
MAX_WORKERS=`grep '^cpu\scores' /proc/cpuin... | bash |
d_bash_5722 | ---
+++
@@ -20,6 +20,7 @@
$(bold)WWW:$(clr)
https://www.php-fig.org/psr/psr-2
+ https://www.php-fig.org/psr/psr-12
"
| bash |
d_bash_5723 | ---
+++
@@ -3,10 +3,10 @@
exec 1> /code/log
exec 2> /code/errors
-START=$(date +%s.%2N)
+START=$(date +%s%3N)
$1 /code/$2
-END=$(date +%s.%2N)
+END=$(date +%s%3N)
echo ${END} - ${START} | bc > /code/time | bash |
d_bash_5724 | ---
+++
@@ -1,4 +1,4 @@
-PATH=`pwd`:/command:/usr/local/bin:/usr/local/sbin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/X11R6/bin
+PATH=`pwd`:/command:/usr/local/bin:/usr/local/sbin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/X11R6/bin:/usr/ucb
export PATH
umask 022 | bash |
d_bash_5725 | ---
+++
@@ -19,7 +19,7 @@
yum install -y python-devel python-tox python-virtualenv python-pip
yum install -y createrepo
yum install -y python-twisted python-characteristic python-eliot pytz python-ipaddr
-yum install -y python-cffi python-netifaces
+yum install -y python-cffi python-netifaces python-treq
# Clea... | bash |
d_bash_5726 | ---
+++
@@ -7,6 +7,7 @@
build-essential \
libapache2-mod-fastcgi \
php5-dev \
+php5-gd \
php5-mysql \
php5-curl \
locales \ | bash |
d_bash_5727 | ---
+++
@@ -1,5 +1,5 @@
#!/usr/bin/env sh
BASE_DIR=`dirname $0`
-find ${BASE_DIR} \( -iname .git -or -iname data -or -iname tools -or -iname build \) -prune -or -type f -exec grep -E -nH $* {} +
+find ${BASE_DIR} \( -iname .git -or -iname data -or -iname tools -or -iname build \) -prune -or -type f -exec grep -E ... | bash |
d_bash_5728 | ---
+++
@@ -2,7 +2,7 @@
[[ -f /usr/local/share/chruby/chruby.sh ]] && source /usr/local/share/chruby/chruby.sh
[[ -f /usr/share/chruby/chruby.sh ]] && source /usr/share/chruby/chruby.sh
-chruby 2.1.5
+chruby 2.3.0
if [ $# -eq 1 -a x"$1" = x--version ]; then
rubocop "$@" 2>&1 | \
sed '/warning: parser\/cu... | bash |
d_bash_5729 | ---
+++
@@ -5,4 +5,7 @@
docker build -t 'son-analyze-test' -f utils/docker/test.Dockerfile .
-docker run -i --rm=true 'son-analyze-test' scripts/all.py
+if [ -n "${JENKINS_URL}" ]; then
+ EXTRA_ENV="JENKINS_URL=${JENKINS_URL}"
+fi
+docker run -i --rm=true --env="${EXTRA_ENV}" -v "$(pwd)/outputs:/son-analyze/... | bash |
d_bash_5730 | ---
+++
@@ -1,7 +1,9 @@
#!/bin/bash
-node enyo/tools/deploy.js -o deploy/org.webosports.app.settings
+NODE=`which node || which nodejs`
+
+$NODE enyo/tools/deploy.js -v -o deploy/org.webosports.app.settings || exit 1
+
adb push deploy/org.webosports.app.settings /usr/palm/applications/org.webosports.app.settings
... | bash |
d_bash_5731 | ---
+++
@@ -13,15 +13,9 @@
cat packages.list |
sed 's/#.*//g' |
grep -v '^[[:blank:]]*$' |
-while read word1 word2 others
+while read word1 word2
do
- if [ -n "$others" ]
- then
- echo extra fields detected >&2
- exit 1
- fi
-
- case $word1 in
+ case word1 in
i)
echo installing $word2
pkg inst... | bash |
d_bash_5732 | ---
+++
@@ -4,7 +4,7 @@
newStr=$2
dir='./'
-if [ $# -eq 3 ] then
+if [ $# -eq 3 ]; then
dir=$3
fi
| bash |
d_bash_5733 | ---
+++
@@ -8,11 +8,14 @@
"$HOME/Development/code/bitbucket"
"$HOME/Development/code/github"
"$HOME/Development/code/playground"
- "$HOME/Documents/ebook"
+ "$HOME/Documents/ebook/_to-organise"
+ "$HOME/Documents/ebook/_to-read-later"
+ "$HOME/Documents/ebook/_read"
"$HOME/Downloads/to... | bash |
d_bash_5734 | ---
+++
@@ -3,7 +3,7 @@
local current="${COMP_WORDS[COMP_CWORD]}"
local previous="${COMP_WORDS[COMP_CWORD-1]}"
- local options="app device key envs os example"
+ local options="version help login logout signup whoami app apps init devices device note preferences keys key envs env logs os examples example"
c... | bash |
d_bash_5735 | ---
+++
@@ -14,3 +14,4 @@
install_mas_app 409201541 'Pages'
install_mas_app 409183694 'Keynote'
install_mas_app 408981434 'iMovie'
+install_mas_app 402437824 'Ringer' | bash |
d_bash_5736 | ---
+++
@@ -11,4 +11,4 @@
done
# Generate common_members.json
-docker run -ti --rm -v $(pwd):/Qt.py --entrypoint="python2.7" fredrikaverpil/qt.py:2017 /Qt.py/membership.py --generate-common-members
+docker run -ti --rm -v $(pwd):/Qt.py --entrypoint="python3.5" fredrikaverpil/qt.py:2017 /Qt.py/membership.py --gene... | bash |
d_bash_5737 | ---
+++
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
set -eo pipefail
export DEBIAN_FRONTEND=noninteractive
-export DOKKU_REPO=${DOKKU_REPO:-"https://github.com/progrium/dokku.git"}
+export DOKKU_REPO=${DOKKU_REPO:-"https://github.com/yuvadm/dokku-base.git"}
if ! which apt-get &>/dev/null
then | bash |
d_bash_5738 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-if ! [ "$(ping -c 4 google.com)" ] && [ "$(ping -c 4 yahoo.com)"] && ["$(ping -c 4 bing.com)"]; then
+if ! [ "$(ping -c 4 google.com)" ] && [ "$(ping -c 4 yahoo.com)"]; then
nmcli nm wifi off
nmcli nm wifi on
fi | bash |
d_bash_5739 | ---
+++
@@ -6,4 +6,4 @@
TAG="$TRAVIS_BRANCH"
fi
docker build -f Dockerfile -t buzzgenerator:$TAG . #$TRAVIS_REPO_SLUG
-docker push $TRAVIS_REPO_SLUG
+docker push buzzgenerator #$TRAVIS_REPO_SLUG | bash |
d_bash_5740 | ---
+++
@@ -30,4 +30,4 @@
echo "restarting with auth on"
sleep 5
-exec gosu mongodb mongod --auth "$@"
+exec gosu mongodb /usr/local/bin/docker-entrypoint.sh --auth "$@" | bash |
d_bash_5741 | ---
+++
@@ -1,16 +1,17 @@
-if [ ! -z "`type dircolors`" ]; then
- test -r ~/.dircolors && eval "$(dircolors -b ~/.dircolors)" || eval "$(dircolors -b)"
-
- if ls --help 2>&1 | grep -q -- --color
- then
- alias ls='ls --color=auto -F'
- else
- alias ls='ls -FG'
- fi
-
- alias grep='grep --color=auto'
- ... | bash |
d_bash_5742 | ---
+++
@@ -16,3 +16,4 @@
npm install -g pageres # Capture screenshots of websites in various resolutions.
npm install -g is-up # Check whether a website is up or down.
npm install -g trash # Remove files safe.
+npm install -g spoof # MAC Spoofing. | bash |
d_bash_5743 | ---
+++
@@ -1,3 +1,3 @@
-export PATH="./bin:$HOME/.rbenv/shims:/usr/local/bin:/usr/local/sbin:$ZSH/bin:$PATH"
+export PATH="./bin:$HOME/.rbenv/shims:$HOME/.bin:/usr/local/bin:/usr/local/sbin:$ZSH/bin:$PATH"
export MANPATH="/usr/local/man:/usr/local/git/man:$MANPATH" | bash |
d_bash_5744 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-MAINLOG=get_logs.log
+MAINLOG=sytemapic-logs-`date +"%Y%m%d%H%M%S"`.txt
# get docker logs
docker ps -q | while read -r container_id ; do
@@ -38,6 +38,5 @@
done
-# open, remove
-rsub $MAINLOG
-rm $MAINLOG
+# Print filename
+echo $MAINLOG | bash |
d_bash_5745 | ---
+++
@@ -1,11 +1,10 @@
#!/bin/bash
-expandPath() {
+doExpand() {
local path
- local -a pathElements resultPathElements
- IFS=':' read -r -a pathElements <<<"$1"
- : "${pathElements[@]}"
- for path in "${pathElements[@]}"; do
+ local -a resultPathElements
+
+ for path in "$@"; do
: "$path"
cas... | bash |
d_bash_5746 | ---
+++
@@ -1,23 +1,26 @@
brew tap dartsim/dart
brew tap homebrew/science
-brew update
+brew update > /dev/null
-brew install git
-# brew install cmake # installed cmake-3.0.2
-brew install assimp
-brew install fcl
-brew install bullet
-brew install flann # 1.8.14
-# brew install boost # installed boost... | bash |
d_bash_5747 | ---
+++
@@ -7,7 +7,7 @@
DOCKER_REGISTRY="141759028186.dkr.ecr.us-east-1.amazonaws.com/$SERVICE_NAME"
# Get Docker Registry login token
-eval "$(aws ecr get-login)"
+eval "$(aws ecr get-login --region us-east-1)"
# Get new version
SERVICE_VERSION=`node -e 'console.log(require("./package.json").version)'` | bash |
d_bash_5748 | ---
+++
@@ -4,13 +4,14 @@
--create \
--name "test" \
--jar s3n://kdd12/parallel.jar \
- --arg .1 \
- --arg .1 \
+ --arg .02 \
+ --arg .02 \
--arg 20 \
--arg 10 \
--arg 100000 \
--arg 64 \
- --arg 1 \
+ --arg 0.1 \
+ --arg 4 \
--arg s3n://kdd12/input/ \
--arg s3n://kdd12/output/output... | bash |
d_bash_5749 | ---
+++
@@ -5,10 +5,12 @@
python main.py &
python gpsNavStarter.py &
-#python gpsReader.py /dev/ttyS3 115200 10101 GPS1 &
-#python gpsReader.py /dev/ttyS4 115200 10102 GPS2 &
+python mbed.py /dev/ttyS2 115200 10201 mbed &
-python gpsReader.py Logs/log_GPS1_15_45_36 115200 10101 GPS1 &
-python gpsReader.py Logs/... | bash |
d_bash_5750 | ---
+++
@@ -4,3 +4,13 @@
mkdir -p ~/go/src
brew install go --cross-compile-common
brew cask install gogland
+
+echo
+echo "Setting up Gogland preferences from pivotal_ide_prefs..."
+pushd ~/workspace
+rm -rf pivotal_ide_prefs
+git clone https://github.com/pivotal/pivotal_ide_prefs.git
+pushd pivotal_ide_prefs/cli/... | bash |
d_bash_5751 | ---
+++
@@ -20,6 +20,6 @@
ln -s /snap/bin/certbot /usr/bin/certbot
-sudo certbot certonly --standalone --register-unsafely-without-email --domain $DNS_NAME
+sudo certbot certonly --standalone --register-unsafely-without-email -n --agree-tos --domain $DNS_NAME
service rsyslog restart | bash |
d_bash_5752 | ---
+++
@@ -1,4 +1,12 @@
#!/usr/bin/env bash
+
+function usage() {
+ cat <<-EndUsage
+ Usage: tidyup <dir1> <dir2> ... <dirN>
+ Tidies ~/<dirN> to ~/Backups/<dirN>
+ EndUsage
+ exit 1
+}
function tidy() {
@@ -30,11 +38,7 @@
function main() {
if [[ $# -eq 0 ]] ; then
- cat <<-EndUsage
- Usage: tidyup <... | bash |
d_bash_5753 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
for SRC_DIR in src test tools
do
- find $SRC_DIR -name '*.h' -or -name '*.cc' | xargs clang-format -i -style file
+ find $SRC_DIR -name '*.h' -or -name '*.inl' -or -name '*.cc' | xargs clang-format -i -style file
done
| bash |
d_bash_5754 | ---
+++
@@ -1,6 +1,28 @@
#!/bin/bash
set -e
set -x
+
+# Short circuit tests and linting jobs if there are no code changes involved.
+if [[ $TOXENV != docs ]]; then
+ if [[ "$TRAVIS_PULL_REQUEST" == "false" ]]
+ then
+ echo "This is not a PR -- will do a complete build."
+ else
+ # Pull reque... | bash |
d_bash_5755 | ---
+++
@@ -11,6 +11,10 @@
OUTPUT="$dir/${filename}_cut${START}.$extension"
-ffmpeg -ss $START -i "$INPUT" -async 1 -c copy "$OUTPUT"
+# echo -ss $START -i "$INPUT" -async 1 -c copy "$OUTPUT"
+# ffmpeg -ss $START -i "$INPUT" -async 1 -c copy "$OUTPUT"
+
+#echo -ss $START -i "$INPUT" -async 1 -c copy "$OUTPUT"
+f... | bash |
d_bash_5756 | ---
+++
@@ -2,3 +2,4 @@
alias mci='mvn clean install'
alias mcin='mci -N'
alias mpv='mvn -q -Dexec.executable="echo" -Dexec.args="\${project.version}" --non-recursive org.codehaus.mojo:exec-maven-plugin:1.3.1:exec'
+hash xmllint 2>/dev/null && alias mpv="xmllint --xpath '//*[local-name()=\"project\"]/*[local-name(... | bash |
d_bash_5757 | ---
+++
@@ -3,4 +3,7 @@
export PATH=./node_modules/.bin:$PATH
+# Make sure the global npm prefix is on the path
+[[ `which npm` ]] && export PATH=$(npm config get prefix)/bin:$PATH
+ | bash |
d_bash_5758 | ---
+++
@@ -2,11 +2,11 @@
set -e
-echo 'Adding do, app.do, api.do /etc/hosts'
+echo 'Adding do, app.do, api.do, cdn.do to /etc/hosts'
ETCHOSTFILE=/etc/hosts
ETCHOSTURL=127.0.0.1
-declare -a DOHOSTS=( "do.localhost" "app.do.localhost" "api.do.localhost" )
+declare -a DOHOSTS=( "do.localhost" "app.do.localhost... | bash |
d_bash_5759 | ---
+++
@@ -13,6 +13,13 @@
echo "Need to install mvn."
exit 3
fi
+if [ "$RUN_ENV" = 'development' ];then
+ BASEDIR=`dirname $0`
+ if [ -r "$BASEDIR/../src/log4j/log4j.ci.properties" ]; then
+ mv $BASEDIR/../src/log4j/log4j.properties $BASEDIR/../src/log4j/log4j.bk.properties
+ cp $BASED... | bash |
d_bash_5760 | ---
+++
@@ -23,4 +23,6 @@
# busybox crond setup
mkdir -p $EMERGE_ROOT/var/spool/cron/crontabs
chmod 0600 $EMERGE_ROOT/var/spool/cron/crontabs
+ # eselect now uses a hard coded readlink path :/
+ ln -sr $EMERGE_ROOT/bin/readlink $EMERGE_ROOT/usr/bin/readlink
} | bash |
d_bash_5761 | ---
+++
@@ -8,8 +8,21 @@
echo "" >> ~/.gitignore_global
}
+enable_autocomplete_on_macos ()
+{
+ if [ "$(uname -s)" == "Darwin" ]
+ then
+ wget \
+ -O ~/git-completion.sh \
+ https://raw.githubusercontent.com/git/git/master/contrib/completion/git-completion.bash
+ touch ~/.bash_profile
+ ech... | bash |
d_bash_5762 | ---
+++
@@ -14,6 +14,7 @@
mingw-w64-$MSYS2_ARCH-cairo \
mingw-w64-$MSYS2_ARCH-gobject-introspection \
mingw-w64-$MSYS2_ARCH-python3 \
+ mingw-w64-$MSYS2_ARCH-python3-lxml \
mingw-w64-$MSYS2_ARCH-python3-importlib-metadata \
mingw-w64-$MSYS2_ARCH-python3-gobject \
mingw-w64-$MSYS2_ARCH... | bash |
d_bash_5763 | ---
+++
@@ -6,6 +6,6 @@
CURR=$PWD
cd /var/grassroot
-nohup java -Dspring.profiles.active=production -jar grassroot-webapp/target/grassroot-webapp-1.0-SNAPSHOT.jar > grassroot-app.log 2>&1 </home/ubuntu/cmd_line_arguments &
+nohup java `cat /home/ubuntu/cmd_line_arguments` -Dspring.profiles.active=production -jar... | bash |
d_bash_5764 | ---
+++
@@ -1,6 +1,10 @@
#!/bin/bash
set -ex
+
+REPO="git@github.com:square/fest-android.git"
+GROUP_ID="com.squareup"
+ARTIFACT_ID="fest-android"
DIR=temp-clone
@@ -8,7 +12,7 @@
rm -rf $DIR
# Clone the current repo into temp folder
-git clone git@github.com:square/fest-android.git $DIR
+git clone $REPO ... | bash |
d_bash_5765 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
#
# After a PR merge, Chef Expeditor will bump the PATCH version in the VERSION file.
# It then executes this file to update any other files/components with that new version.
@@ -6,7 +6,7 @@
set -evx
-sed -i -r "s/VERSION = '.*'/VERSION = '$(cat VERSION)'/" lib/... | bash |
d_bash_5766 | ---
+++
@@ -18,10 +18,10 @@
alias c='cd'
alias gs='g s'
alias k='kubectl'
-alias l='ls -lhtr'
-alias la='ls -lhatr'
-alias ll='ls -lhtr'
-alias myip='curl icanhazip.com'
+alias l='ls -lh'
+alias la='ls -lha'
+alias ll='ls -lh'
+alias myip='curl -s icanhazip.com'
alias sl='ls'
alias t='true'
| bash |
d_bash_5767 | ---
+++
@@ -1,3 +1,6 @@
+# oh_my_zsh dependencies
+oh_my_zsh_deps=(curl)
+
# Is oh_my_zsh installed?
_oh_my_zsh_installed() {
[ -d "${HOME}/.oh-my-zsh/" ] | bash |
d_bash_5768 | ---
+++
@@ -16,5 +16,4 @@
# limitations under the License. #
#--------------------------------------------------------------------------- #
-../../vmm/kvm/poll --kvm -t
-
+../../vmm/kvm/poll -t | bash |
d_bash_5769 | ---
+++
@@ -1,10 +1,10 @@
#!/bin/sh
#install iterm2 nightly
-curl -fLo ~/tmp/iterm2-nightly.zip https://iterm2.com/nightly/latest
-unzip ~/tmp/iterm2-nightly.zip
-mv ~/tmp/iTerm.app /Applications/
-rm ~/tmp/iterm2-nightly.zip
-
-tic ~/.dotfiles/terminfo/xterm-256color-italic.terminfo
-tic ~/.dotfiles/terminfo/scr... | bash |
d_bash_5770 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
-
+PORT=16000
# sanity check for build env
if [[ ! -e zap ]]; then
echo "no zap binary present"
@@ -7,11 +7,14 @@
fi
# start zap, fork.
-./zap --port 16000 1>/dev/null 2>/dev/null &
+./zap --port $PORT 1>/dev/null 2>/dev/null &
ZAP_PID=$!
+# wait for port to open
+wh... | bash |
d_bash_5771 | ---
+++
@@ -13,14 +13,14 @@
export JRUBY_OPTS="--$jruby_mode"
- gemset=rapportive-bundler_$jruby_mode
+ gemset=couchbase-eraser_$jruby_mode
bundle_install="jruby -r openssl -S bundle install"
else
- gemset=rapportive-bundler
+ gemset=couchbase-eraser
bundle_install="bundle install"
fi
-rvm ${ruby... | bash |
d_bash_5772 | ---
+++
@@ -3,3 +3,7 @@
# floor division @ awk
echo "$1 $2" | awk '{print int($1/$2)}'
+
+# edit a string with sed
+sed 's/_/ /g' <<< "el_stringo"
+# >> O/P: "el stringo" | bash |
d_bash_5773 | ---
+++
@@ -24,9 +24,9 @@
# List directory contents
alias lsa='ls -lah'
-alias l='ls -la'
-alias ll='ls -l'
-alias la='ls -lA'
+alias l='ls -lah'
+alias ll='ls -lh'
+alias la='ls -lAh'
# Push and pop directories on directory stack
alias pu='pushd' | bash |
d_bash_5774 | ---
+++
@@ -2,7 +2,7 @@
cd www_files/js
test -e jquery-1.4.4.min.js || wget http://code.jquery.com/jquery-1.4.4.min.js
test -e adhoc.js || wget http://cgit.babelmonkeys.de/cgit.cgi/adhocweb/plain/js/adhoc.js
-test -e strophe.js || (wget --no-check-certificate https://github.com/metajack/strophejs/tarball/release-1... | bash |
d_bash_5775 | ---
+++
@@ -6,3 +6,5 @@
wget -r --no-parent --no-directories ftp://ftp.nlm.nih.gov/nlmdata/.medleasebaseline/gz/ > ../out.log 2> ../err.log
gunzip *.gz >> ../out.log 2>> ../err.log
+
+rm *.md5 | bash |
d_bash_5776 | ---
+++
@@ -3,26 +3,32 @@
source /etc/profile
KPI_WEB_SERVER="${KPI_WEB_SERVER:-uWSGI}"
-UWSGI_COMMAND="$(which uwsgi) --ini ${KPI_SRC_DIR}/uwsgi.ini"
+UWSGI_COMMAND="$(command -v uwsgi) --ini ${KPI_SRC_DIR}/uwsgi.ini"
if [[ "${KPI_WEB_SERVER,,}" == 'uwsgi' ]]; then
cd "${KPI_SRC_DIR}"
DIFF=$(diff "$... | bash |
d_bash_5777 | ---
+++
@@ -9,6 +9,6 @@
psql -d tilemill_test -c "GRANT ALL ON spatial_ref_sys TO PUBLIC;"
psql -d tilemill_test -f test/fixtures/admin_0_line_land.sql
-NODE_ENV=test PATH=bin node bin/expresso test/postgis.test.js
+NODE_ENV=test node bin/expresso test/postgis.test.js
psql -d postgres -c "DROP DATABASE tilemil... | bash |
d_bash_5778 | ---
+++
@@ -8,7 +8,7 @@
test -f "@PROJECT_BINARY_DIR@/compile_commands.json" || { echo "Compilation database not found" >&2; exit 0; }
-cd "@CMAKE_SOURCE_DIR@"
+cd "@CMAKE_SOURCE_DIR@" || exit
oclint -p "@PROJECT_BINARY_DIR@" -enable-global-analysis -enable-clang-static-analyzer \
"@CMAKE_SOURCE_DIR@/src/libs... | bash |
d_bash_5779 | ---
+++
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
apt-get -y -qq update; apt-get -y -qq upgrade
-apt-get -y -qq install python-pip git nginx
+apt-get -y -qq install python-dev python-pip git nginx
echo "source /root/app_env.rc" >> /root/.profile
source /root/.profile | bash |
d_bash_5780 | ---
+++
@@ -11,4 +11,4 @@
mv apmplanner2-installer-win32.exe ${TARGET_DIR}/${TARGET_SUBDIR}/apm_planner2_${COMMIT_SHA:0:8}_win.exe
#This will eventually contain my rsync line...
-rsync -avh --password-file=${RSYNC_PASSFILE} ${TARGET_DIR}/ ${WEBSITE_USER}@firmware.diydrones.com::APMPlanner/daily/
+rsync -avh --pas... | bash |
d_bash_5781 | ---
+++
@@ -9,6 +9,9 @@
# Install command-line JSON processor
brew install jq
+# WxWidgets for Erlang
+brew install wxmac --with-static --with-stl --universal
+
# Install pianobar for music
brew install pianobar
| bash |
d_bash_5782 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
-set -eo pipefail
+set -e
echo "Running Migrations...."
python manage.py migrate --settings=pari.settings.test --noinput | bash |
d_bash_5783 | ---
+++
@@ -9,5 +9,13 @@
#alias for simple python server
#serves current directory on localhost:3000
function simpleserver() {
- python -m SimpleHTTPServer 3000
+
+ if [ -x "$(command -v php)" ]; then
+ php -S localhost:3000
+ elif [ -x "$(command -v python)" ]; then
+ python -m SimpleHTTPServer 3000
+ else
+ >... | bash |
d_bash_5784 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
# Fail on any error.
-#set -e
+set -e
# Display commands being run.
# WARNING: please only enable 'set -x' if necessary for debugging, and be very
@@ -18,6 +18,12 @@
# in the job configuration.
cd ${KOKORO_ARTIFACTS_DIR}/github/orbitprofiler
./bootstrap-orbit.sh
-externa... | bash |
d_bash_5785 | ---
+++
@@ -8,16 +8,15 @@
if [ ! -d "$SETUP_SCRIPTS_LOCATION" ]; then
sudo mkdir $SETUP_SCRIPTS_LOCATION
+fi
- #downloading clear_storage_config script
- sudo wget -O $SETUP_SCRIPTS_LOCATION$CLEAN_STORAGE_SCRIPT $SOURCE_URI$CLEAN_STORAGE_SCRIPT
- sudo chmod +x $SETUP_SCRIPTS_LOCATION$CLEAN_STORAGE_SCRIPT
+... | bash |
d_bash_5786 | ---
+++
@@ -8,4 +8,4 @@
cd "${name}-${version}" || exit 1
_koopa_mkdir "${prefix}/bin"
_koopa_set_permissions --recursive "$prefix"
-cp --archive "$name" -t "${prefix}/bin/"
+cp -a "$name" -t "${prefix}/bin/" | bash |
d_bash_5787 | ---
+++
@@ -3,7 +3,7 @@
cd bb-master
-./bin/pip install buildbot[bundle]
+./bin/pip install --pre buildbot[bundle]
./bin/buildbot create-master master
git clone https://github.com/bjwbell/ironframe
mv ironframe/buildbot/master/master.cfg master/master.cfg | bash |
d_bash_5788 | ---
+++
@@ -4,6 +4,8 @@
echo Please only run this script on Travis-CI
exit 1
fi
+
+PM_DL_PATH="${1:-"https://poggit.pmmp.io/get.pmmp/master"}"
echo Installing pthreads 3.1.6
pecl install channel://pecl.php.net/pthreads-3.1.6
@@ -15,7 +17,7 @@
mkdir "$TRAVIS_BUILD_DIR"/../PocketMine && cd "$TRAVIS_BUIL... | bash |
d_bash_5789 | ---
+++
@@ -9,10 +9,10 @@
apt-get update -qq
apt-get install -y dh-autoreconf cpio squashfs-tools wget libacl1-dev libsystemd-dev
-mkdir -pv /go/src/github.com/rkt
+mkdir -pv /go/src/github.com/rkt/rkt
-git clone https://github.com/rkt/rkt.git /go/src/github/rkt/rkt
-cd /go/src/github/rkt/rkt
+git clone https:/... | bash |
d_bash_5790 | ---
+++
@@ -8,3 +8,4 @@
. "/usr/local/opt/nvm/nvm.sh"
alias nr='npm run'
+alias ndt='npm dist-tag' | bash |
d_bash_5791 | ---
+++
@@ -3,25 +3,3 @@
# Update Debian
sudo apt-get update && sudo apt-get dist-upgrade
-tempfoo=$(basename $0)
-TMPFILE=$(mktemp /tmp/${tempfoo}.XXXXXX) || exit 1
-
-# Update Python packages
-/usr/bin/pip freeze | cut -f1 -d= | \
- egrep -v "(git-remote-helpers|Brlapi|GnuPGInterface|Magic-file-extensions|ap... | bash |
d_bash_5792 | ---
+++
@@ -13,6 +13,7 @@
make UnitTests
lcov -c -i -d Tests/UnitTests -o base.info
bin/UnitTests
+lcov -c -d Tests/UnitTests -o test.info
lcov -a base.info -a test.info -o coverage.info
lcov -r coverage.info '/usr/*' -o coverage.info
lcov -r coverage.info '*/Libraries/*' -o coverage.info | bash |
d_bash_5793 | ---
+++
@@ -1 +1,25 @@
-git log -n1 HEAD --pretty=format:"#define GIT_VERSION \"-g%h\"%n" > $1
+#!/bin/sh
+
+# Input parameters
+file_to_write="$1"
+
+# Test if we are in a repo
+if [ "$(git rev-parse --is-inside-work-tree 2>/dev/null)" = "true" ];
+then
+ #echo "In a repo"
+ # Get the version of the last commit of t... | bash |
d_bash_5794 | ---
+++
@@ -12,8 +12,9 @@
go get -u github.com/ProtonMail/gopenpgp || true
PACKAGE_PATH="github.com/ProtonMail/gopenpgp"
+GOPENPGP_REVISION="136c0a54956e0241ff1b0c31aa34f2042588f843"
-( cd "$GOPATH/src/$PACKAGE_PATH" && GO111MODULE=on go mod vendor )
+( cd "$GOPATH/src/$PACKAGE_PATH" && git checkout "$GOPENPGP_... | bash |
d_bash_5795 | ---
+++
@@ -24,5 +24,5 @@
echo "You're using an unexpected Rails version, either install version $expected_rails or upgrade the template to $actual_rails."
fi
-set RBENV_VERSION=2.3.0
+set RBENV_VERSION=2.4.4
rails new $app_name --skip-javascript --skip-test-unit --skip-bundle --skip-spring -m govuk-rails-app-... | bash |
d_bash_5796 | ---
+++
@@ -8,7 +8,7 @@
cmake \
-DWITH_GDAL=ON \
-DWITH_GEOTIFF=ON \
- -DWITH_LIBXML2 \
+ -DWITH_LIBXML2=ON \
..
#echo "$(tmstamp) *** script::cmake-config finished $(date) ***"
| bash |
d_bash_5797 | ---
+++
@@ -2,3 +2,17 @@
# Install the VMWare Open Tools
apt-get install -y open-vm-tools
+
+# Mount the disk image
+mkdir -p /mnt/vmware
+mount -o loop /home/vagrant/linux.iso /mnt/vmware
+
+# Install the drivers
+cd /tmp
+tar xzf /mnt/vmware/VMwareTools-*.tar.gz
+
+/tmp/vmware-tools-distrib/vmware-install.pl -d... | bash |
d_bash_5798 | ---
+++
@@ -2,10 +2,22 @@
set -e # fail and exit on any command erroring
set -x # print evaluated commands
-source "${KOKORO_GFILE_DIR}/common.sh"
+PY_VERSION=${1}
-install_ubuntu_16_pip_deps pip${1}
-setup_pypi_credentials
+# install deps
+"pip${PY_VERSION}" install --user --upgrade attrs
+"pip${PY_VERSION}"... | bash |
d_bash_5799 | ---
+++
@@ -4,6 +4,7 @@
print_help () {
echo "Usage: ./publish.sh <path-to-post-file> <title-of-post> <tags>"
+ echo "Note: assumes post file to be markdown"
}
path=$1
@@ -22,7 +23,7 @@
exit 1
fi
-post_name=$(python lib/create-post/filename.py --title "$title")
+post_name=$(python lib/create-po... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.